## haruna 0.5.0

=== CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

cmake_minimum_required(VERSION 3.15)

project(haruna LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt5Core)
set_package_properties(Qt5Core PROPERTIES TYPE REQUIRED)

find_package(Qt5Qml)
set_package_properties(Qt5Qml PROPERTIES TYPE REQUIRED)

find_package(Qt5Quick)
set_package_properties(Qt5Quick PROPERTIES TYPE REQUIRED)

find_package(Qt5QuickControls2)
set_package_properties(Qt5QuickControls2 PROPERTIES TYPE REQUIRED)

find_package(Breeze)
set_package_properties(Breeze PROPERTIES
    TYPE RECOMMENDED
    URL "https://api.kde.org/frameworks/breeze-icons/html/index.html")

find_package(KF5Config)
set_package_properties(KF5Config PROPERTIES
    TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kconfig/html/index.html")

find_package(KF5CoreAddons)
set_package_properties(KF5CoreAddons PROPERTIES
    TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kcoreaddons/html/index.html")

find_package(KF5FileMetaData)
set_package_properties(KF5FileMetaData PROPERTIES
    TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kfilemetadata/html/index.html")

find_package(KF5I18n)
set_package_properties(KF5I18n PROPERTIES
    TYPE REQUIRED
    URL "https://api.kde.org/frameworks/ki18n/html/index.html")

find_package(KF5IconThemes)
set_package_properties(KF5IconThemes PROPERTIES
    TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kiconthemes/html/index.html")

find_package(KF5KIO)
set_package_properties(KF5KIO PROPERTIES
    TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kio/html/index.html")

find_package(KF5Kirigami2)
set_package_properties(KF5Kirigami2 PROPERTIES
    TYPE RUNTIME
    URL "https://api.kde.org/frameworks/kirigami/html/index.html")

find_package(KF5XmlGui)
set_package_properties(KF5XmlGui PROPERTIES
    TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kxmlgui/html/index.html")

option(InstallColorSchemes "Installs breeze color schemes." OFF)

add_subdirectory(data)
add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

add_subdirectory(color-schemes)

install(FILES com.georgefb.haruna.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES com.georgefb.haruna.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
ecm_install_icons(ICONS 256-apps-com.georgefb.haruna.svg DESTINATION ${KDE_INSTALL_ICONDIR})

=== src/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

qt5_add_dbus_interface(haruna_screensaver_inhibit_SRCS ../org.freedesktop.ScreenSaver.xml screensaverdbusinterface)

add_executable(haruna)

target_sources(haruna
    PRIVATE
    application.cpp
    haction.cpp
    lockmanager.cpp
    main.cpp
    mpvobject.cpp
    qthelper.h
    playlist/playlistitem.cpp
    playlist/playlistmodel.cpp
    subtitlesfoldersmodel.cpp
    thumbnailimageprovider.cpp
    track.cpp
    tracksmodel.cpp
    worker.cpp
    qml.qrc
    ../help/help.qrc
    ${haruna_screensaver_inhibit_SRCS}
)

kconfig_add_kcfg_files(haruna GENERATE_MOC settings/audiosettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/generalsettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/mousesettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playbacksettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playlistsettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/subtitlessettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/videosettings.kcfgc)

target_include_directories(haruna PRIVATE playlist)

target_compile_definitions(haruna PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

target_link_libraries(haruna PRIVATE
    Qt5::Core
    Qt5::Qml
    Qt5::Quick
    Qt5::QuickControls2

    KF5::ConfigCore
    KF5::ConfigGui
    KF5::CoreAddons
    KF5::FileMetaData
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::KIOWidgets
    KF5::KIONTLM
    KF5::Kirigami2
    KF5::XmlGui
    mpv
)

install(TARGETS haruna DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== data/color-schemes/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

if(InstallColorSchemes)
    install(FILES Breeze.colors
        DESTINATION ${DATA_INSTALL_DIR}/color-schemes/)
    install(FILES BreezeDark.colors
            DESTINATION ${DATA_INSTALL_DIR}/color-schemes/)
    install(FILES BreezeHighContrast.colors
            DESTINATION ${DATA_INSTALL_DIR}/color-schemes/)
    install(FILES BreezeLight.colors
            DESTINATION ${DATA_INSTALL_DIR}/color-schemes/)
endif()

=== debian/changelog ===
haruna (0.5.0-2) unstable; urgency=medium

  * Source-only upload for testing migration. 

 -- Boyuan Yang <byang@debian.org>  Wed, 03 Feb 2021 22:12:45 -0500

haruna (0.5.0-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Jan 2021 21:57:26 -0500

=== debian/control ===
Source: haruna
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.15),
 debhelper-compat (= 13),
 extra-cmake-modules,
 kirigami2-dev,
 libkf5filemetadata-dev,
 libkf5kio-dev,
 libmpv-dev,
 qtdeclarative5-dev,
 qtquickcontrols2-5-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/g-fb/haruna
Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/haruna

Package: haruna
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 qml-module-org-kde-kirigami2,
 qml-module-qt-labs-platform,
 qml-module-qtquick-shapes,
Suggests:
 youtube-dl,
Description: Video player built with Qt/QML on top of libmpv
 Haruna is an open source video player built with Qt/QML on top of
 libmpv.
 .
 Compared with other video player frontends, it provides some special
 features, such as:
   * play online videos, through youtube-dl
   * toggle playlist with mouse-over, playlist overlays the video
   * auto skip chapter containing certain words
   * configurable shortcuts and mouse buttons
   * quick jump to next chapter by middle click on progress bar

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%haruna-$1.tar.gz%" \
 https://github.com/g-fb/haruna/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## haruna 0.5.0+git20210325

=== CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

cmake_minimum_required(VERSION 3.15)

project(haruna LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt5Core)
set_package_properties(Qt5Core PROPERTIES TYPE REQUIRED)

find_package(Qt5DBus)
set_package_properties(Qt5DBus PROPERTIES TYPE REQUIRED)

find_package(Qt5Qml)
set_package_properties(Qt5Qml PROPERTIES TYPE REQUIRED)

find_package(Qt5Quick)
set_package_properties(Qt5Quick PROPERTIES TYPE REQUIRED)

find_package(Qt5QuickControls2)
set_package_properties(Qt5QuickControls2 PROPERTIES TYPE REQUIRED)

find_package(Libmpv)
set_package_properties(Libmpv PROPERTIES TYPE REQUIRED
    URL "https://mpv.io")

find_package(Breeze)
set_package_properties(Breeze PROPERTIES TYPE RECOMMENDED
    URL "https://api.kde.org/frameworks/breeze-icons/html/index.html")

find_package(KF5Config)
set_package_properties(KF5Config PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kconfig/html/index.html")

find_package(KF5CoreAddons)
set_package_properties(KF5CoreAddons PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kcoreaddons/html/index.html")

find_package(KF5FileMetaData)
set_package_properties(KF5FileMetaData PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kfilemetadata/html/index.html")

find_package(KF5I18n)
set_package_properties(KF5I18n PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/ki18n/html/index.html")

find_package(KF5IconThemes)
set_package_properties(KF5IconThemes PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kiconthemes/html/index.html")

find_package(KF5KIO)
set_package_properties(KF5KIO PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kio/html/index.html")

find_package(KF5Kirigami2)
set_package_properties(KF5Kirigami2 PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kirigami/html/index.html")

find_package(KF5XmlGui)
set_package_properties(KF5XmlGui PROPERTIES TYPE REQUIRED
    URL "https://api.kde.org/frameworks/kxmlgui/html/index.html")

option(InstallColorSchemes "Installs breeze color schemes." OFF)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

add_subdirectory(data)
add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,8 @@
     haction.cpp
     lockmanager.cpp
     main.cpp
+    mpris2/mediaplayer2.cpp
+    mpris2/mediaplayer2player.cpp
     mpvobject.cpp
     qthelper.h
     playlist/playlistitem.cpp
@@ -36,12 +38,13 @@
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/subtitlessettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/videosettings.kcfgc)
 
-target_include_directories(haruna PRIVATE playlist)
+target_include_directories(haruna PRIVATE playlist mpris2)
 
 target_compile_definitions(haruna PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)
 
 target_link_libraries(haruna PRIVATE
     Qt5::Core
+    Qt5::DBus
     Qt5::Qml
     Qt5::Quick
     Qt5::QuickControls2
@@ -58,7 +61,8 @@
     KF5::KIONTLM
     KF5::Kirigami2
     KF5::XmlGui
-    mpv
+
+    Libmpv::Libmpv
 )
 
 install(TARGETS haruna DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
haruna (0.5.0+git20210325-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 29 Mar 2021 13:27:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## haruna 0.6.3%2Bgit20210726

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,10 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(ECM 1.0.0 REQUIRED NO_MODULE)
+find_package(ECM 5.66 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(KDEInstallDirs)
@@ -52,6 +52,10 @@
 set_package_properties(KF5CoreAddons PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kcoreaddons/html/index.html")
 
+find_package(KF5DocTools)
+set_package_properties(KF5DocTools PROPERTIES
+    DESCRIPTION "https://api.kde.org/frameworks/kdoctools/html/index.html")
+
 find_package(KF5FileMetaData)
 set_package_properties(KF5FileMetaData PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kfilemetadata/html/index.html")
@@ -76,9 +80,13 @@
 set_package_properties(KF5XmlGui PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kxmlgui/html/index.html")
 
-option(InstallColorSchemes "Installs breeze color schemes." OFF)
+find_package(YouTubeDl)
+set_package_properties(YouTubeDl PROPERTIES TYPE RUNTIME)
+
+#option(InstallColorSchemes "Installs breeze color schemes." OFF)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 add_subdirectory(data)
 add_subdirectory(src)
+add_subdirectory(doc)

=== data/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

#add_subdirectory(color-schemes)

install(FILES org.kde.haruna.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.haruna.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
ecm_install_icons(ICONS 256-apps-org.kde.haruna.svg DESTINATION ${KDE_INSTALL_ICONDIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,19 +11,21 @@
 target_sources(haruna
     PRIVATE
     application.cpp
+    global.cpp
     haction.cpp
     lockmanager.cpp
     main.cpp
+    models/customcommandsmodel.cpp
+    models/subtitlesfoldersmodel.cpp
+    models/tracksmodel.cpp
+    models/playlistmodel.cpp
     mpris2/mediaplayer2.cpp
     mpris2/mediaplayer2player.cpp
     mpvobject.cpp
     qthelper.h
-    playlist/playlistitem.cpp
-    playlist/playlistmodel.cpp
-    subtitlesfoldersmodel.cpp
+    playlistitem.cpp
     thumbnailimageprovider.cpp
     track.cpp
-    tracksmodel.cpp
     worker.cpp
     qml.qrc
     ../help/help.qrc
@@ -38,7 +40,7 @@
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/subtitlessettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/videosettings.kcfgc)
 
-target_include_directories(haruna PRIVATE playlist mpris2)
+target_include_directories(haruna PRIVATE models mpris2)
 
 target_compile_definitions(haruna PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)
 
@@ -52,6 +54,7 @@
     KF5::ConfigCore
     KF5::ConfigGui
     KF5::CoreAddons
+    KF5::DocTools
     KF5::FileMetaData
     KF5::I18n
     KF5::IconThemes

## haruna 0.6.3+git20210726

=== debian/changelog ===
haruna (0.6.3+git20210726-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream Git main for MX-21.
  * Updated homepage link in debian/control.
  * Add libkf5doctools-dev to BDs.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 27 Jul 2021 15:15:41 -0400

haruna (0.6.3-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 May 2021 19:47:05 -0400

haruna (0.6.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Apr 2021 11:43:45 -0400

haruna (0.6.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Apr 2021 13:00:04 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
 Build-Depends:
+ breeze-dev,
  cmake (>= 3.15),
  debhelper-compat (= 13),
  extra-cmake-modules,
@@ -15,21 +14,22 @@
  libmpv-dev,
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
+ libkf5doctools-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://github.com/g-fb/haruna
+Homepage: https://invent.kde.org/multimedia/haruna
 Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/haruna
 
 Package: haruna
 Architecture: any
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
  qml-module-org-kde-kirigami2,
  qml-module-qt-labs-platform,
  qml-module-qtquick-shapes,
-Suggests:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
  youtube-dl,
 Description: Video player built with Qt/QML on top of libmpv
  Haruna is an open source video player built with Qt/QML on top of

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## haruna 0.6.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,10 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(ECM 5.66 REQUIRED NO_MODULE)
+find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(KDEInstallDirs)
@@ -52,10 +52,6 @@
 set_package_properties(KF5CoreAddons PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kcoreaddons/html/index.html")
 
-find_package(KF5DocTools)
-set_package_properties(KF5DocTools PROPERTIES
-    DESCRIPTION "https://api.kde.org/frameworks/kdoctools/html/index.html")
-
 find_package(KF5FileMetaData)
 set_package_properties(KF5FileMetaData PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kfilemetadata/html/index.html")
@@ -80,13 +76,9 @@
 set_package_properties(KF5XmlGui PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kxmlgui/html/index.html")
 
-find_package(YouTubeDl)
-set_package_properties(YouTubeDl PROPERTIES TYPE RUNTIME)
-
 #option(InstallColorSchemes "Installs breeze color schemes." OFF)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 add_subdirectory(data)
 add_subdirectory(src)
-add_subdirectory(doc)

=== debian/changelog ===
haruna (0.6.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata: Add metadata file.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Aug 2021 23:38:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Boyuan Yang <byang@debian.org>,
 Build-Depends:
  breeze-dev,
  cmake (>= 3.15),
@@ -14,7 +15,6 @@
  libmpv-dev,
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
- libkf5doctools-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna

=== debian/watch ===
version=4
https://invent.kde.org/multimedia/haruna/tags?sort=updated_desc archive/@ANY_VERSION@/haruna-\d\S*\.tar\.gz debian uupdate

## haruna 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,20 +6,27 @@
 
 cmake_minimum_required(VERSION 3.15)
 
-project(haruna LANGUAGES CXX)
+cmake_policy(SET CMP0048 NEW)
+project(haruna VERSION 0.7.3 LANGUAGES CXX)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(ECM 1.0.0 REQUIRED NO_MODULE)
+find_package(ECM 5.66 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(KDEInstallDirs)
 include(ECMInstallIcons)
+include(ECMSetupVersion)
 include(FeatureSummary)
+
+ecm_setup_version(${PROJECT_VERSION}
+    VARIABLE_PREFIX HARUNA
+    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/haruna-version.h"
+)
 
 find_package(Qt5Core)
 set_package_properties(Qt5Core PROPERTIES TYPE REQUIRED)
@@ -40,6 +47,9 @@
 set_package_properties(Libmpv PROPERTIES TYPE REQUIRED
     URL "https://mpv.io")
 
+find_package(FFmpeg)
+set_package_properties(FFmpeg PROPERTIES TYPE REQUIRED)
+
 find_package(Breeze)
 set_package_properties(Breeze PROPERTIES TYPE RECOMMENDED
     URL "https://api.kde.org/frameworks/breeze-icons/html/index.html")
@@ -51,6 +61,10 @@
 find_package(KF5CoreAddons)
 set_package_properties(KF5CoreAddons PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kcoreaddons/html/index.html")
+
+find_package(KF5DocTools)
+set_package_properties(KF5DocTools PROPERTIES
+    DESCRIPTION "https://api.kde.org/frameworks/kdoctools/html/index.html")
 
 find_package(KF5FileMetaData)
 set_package_properties(KF5FileMetaData PROPERTIES TYPE REQUIRED
@@ -76,9 +90,11 @@
 set_package_properties(KF5XmlGui PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kxmlgui/html/index.html")
 
-#option(InstallColorSchemes "Installs breeze color schemes." OFF)
+find_package(YouTubeDl)
+set_package_properties(YouTubeDl PROPERTIES TYPE RUNTIME)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 add_subdirectory(data)
 add_subdirectory(src)
+add_subdirectory(doc)

=== doc/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2021 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

if (KF5DocTools_FOUND)
    KDOCTOOLS_CREATE_HANDBOOK(
        index.docbook
            INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
            SUBDIR haruna
    )
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 target_sources(haruna
     PRIVATE
     application.cpp
+    framedecoder.cpp
     global.cpp
     haction.cpp
     lockmanager.cpp
@@ -40,7 +41,7 @@
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/subtitlessettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/videosettings.kcfgc)
 
-target_include_directories(haruna PRIVATE models mpris2)
+target_include_directories(haruna PRIVATE models mpris2 ${FFMPEG_INCLUDE_DIRS})
 
 target_compile_definitions(haruna PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)
 
@@ -66,6 +67,11 @@
     KF5::XmlGui
 
     Libmpv::Libmpv
+    ${AVUTIL_LIBRARIES}
+    ${AVFILTER_LIBRARIES}
+    ${AVFORMAT_LIBRARIES}
+    ${AVCODEC_LIBRARIES}
+    ${SWSCALE_LIBRARIES}
 )
 
 install(TARGETS haruna DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
haruna (0.7.3-1build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 19 Mar 2022 21:57:42 +0300

haruna (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update monitoring script.
  * debian/control: Update runtime and build dependencies.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Jan 2022 21:21:53 -0500

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,20 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  kirigami2-dev,
+ libavcodec-dev,
+ libavdevice-dev,
+ libavfilter-dev,
+ libavformat-dev,
+ libavutil-dev,
+ libkf5doctools-dev,
  libkf5filemetadata-dev,
  libkf5kio-dev,
  libmpv-dev,
+ pkg-config,
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
-Standards-Version: 4.5.1
+ youtube-dl,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna
 Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git

=== debian/watch ===
version=4
https://invent.kde.org/multimedia/haruna/tags?sort=updated_desc archive/v?@ANY_VERSION@/haruna-v?\d\S*\.tar\.gz debian uupdate

## haruna 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 cmake_policy(SET CMP0048 NEW)
-project(haruna VERSION 0.7.3 LANGUAGES CXX)
+project(haruna VERSION 0.8.0 LANGUAGES CXX)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
@@ -20,8 +20,13 @@
 
 include(KDEInstallDirs)
 include(ECMInstallIcons)
+include(ECMAddAppIcon)
 include(ECMSetupVersion)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
+
+kde_enable_exceptions()
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX HARUNA
@@ -86,6 +91,10 @@
 set_package_properties(KF5Kirigami2 PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kirigami/html/index.html")
 
+find_package(KF5ConfigWidgets)
+set_package_properties(KF5ConfigWidgets PROPERTIES TYPE REQUIRED
+    URL "https://api.kde.org/frameworks/kconfigwidgets/html/index.html")
+
 find_package(KF5XmlGui)
 set_package_properties(KF5XmlGui PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kxmlgui/html/index.html")
@@ -93,6 +102,9 @@
 find_package(YouTubeDl)
 set_package_properties(YouTubeDl PROPERTIES TYPE RUNTIME)
 
+find_package(Ytdlp)
+set_package_properties(Ytdlp PROPERTIES TYPE RUNTIME)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 add_subdirectory(data)

=== debian/changelog ===
haruna (0.8.0-1build2) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:51:58 +0000

haruna (0.8.0-1build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 19 May 2022 23:27:20 +0300

haruna (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Drop ffmpeg5.0 patch, merged upstream.
  * debian/copyright: Update information.
  * debian/control: Add new runtime dependency
    qml-module-org-kde-qqc2desktopstyle.

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Apr 2022 14:08:32 -0400

haruna (0.7.3-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Sebastian Ramacher ]
  * debian/patches: Apply upstream patch to build with ffmpeg 5.0 (Closes:
    #1004636)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Apr 2022 22:53:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -23,6 +24,7 @@
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
  youtube-dl,
+ yt-dlp,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna
@@ -33,12 +35,14 @@
 Architecture: any
 Depends:
  qml-module-org-kde-kirigami2,
+ qml-module-org-kde-qqc2desktopstyle,
  qml-module-qt-labs-platform,
  qml-module-qtquick-shapes,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
  youtube-dl,
+ yt-dlp,
 Description: Video player built with Qt/QML on top of libmpv
  Haruna is an open source video player built with Qt/QML on top of
  libmpv.

## haruna 0.9.0

=== debian/changelog ===
haruna (0.9.0-1ubuntu3) kinetic; urgency=medium

  * Add upstream signing key to verify release tarballs.

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Aug 2022 07:56:58 +0100

haruna (0.9.0-1ubuntu2) kinetic; urgency=medium

  * Actually update watch file.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Aug 2022 21:48:52 +0100

haruna (0.9.0-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update watch file to fetch the real signed release tarballs from the
      KDE download server, instead of bogus tarballs generated from git
      tags.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Aug 2022 21:09:08 +0100

haruna (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Update information to prefer yt-dlp over youtube-dl.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Aug 2022 14:27:56 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
+ appstream <!nocheck>,
  breeze-dev,
  cmake (>= 3.15),
  debhelper-compat (= 13),
@@ -20,12 +21,14 @@
  libkf5filemetadata-dev,
  libkf5kio-dev,
  libmpv-dev,
+ libqt5x11extras5-dev,
  pkg-config,
+ qtbase5-dev,
+ qtbase5-private-dev,
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
- youtube-dl,
- yt-dlp,
-Standards-Version: 4.6.0
+ yt-dlp | youtube-dl,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna
 Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
@@ -41,8 +44,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- youtube-dl,
- yt-dlp,
+ yt-dlp | youtube-dl,
 Description: Video player built with Qt/QML on top of libmpv
  Haruna is an open source video player built with Qt/QML on top of
  libmpv.

## haruna 0.9.1

=== debian/changelog ===
haruna (0.9.1-1) unstable; urgency=medium

  * Merge changes from Ubuntu:

  [ Rik Mills ]
  * Add upstream signing key to verify release tarballs.
  * Update watch file to fetch the real signed release tarballs from the
    KDE download server, instead of bogus tarballs generated from git tags.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control: Add new build-dep libkf5i18n-dev.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Aug 2022 18:49:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -19,6 +18,7 @@
  libavutil-dev,
  libkf5doctools-dev,
  libkf5filemetadata-dev,
+ libkf5i18n-dev,
  libkf5kio-dev,
  libmpv-dev,
  libqt5x11extras5-dev,

## haruna 0.9.2

=== debian/changelog ===
haruna (0.9.2-0ubuntu2) kinetic; urgency=medium

  * Use pkg-kde-tools for build, so the docbook handbook is properly
    installed.

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Oct 2022 08:33:58 +0100

haruna (0.9.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (0.9.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Oct 2022 07:16:54 +0100

haruna (0.9.1-1build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 18 Sep 2022 10:51:18 +0300

=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  libmpv-dev,
  libqt5x11extras5-dev,
  pkg-config,
+ pkg-kde-tools,
  qtbase5-dev,
  qtbase5-private-dev,
  qtdeclarative5-dev,

## haruna 0.9.3

=== debian/changelog ===
haruna (0.9.3-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (0.9.3)

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Oct 2022 11:36:57 +0100

haruna (0.9.2-0ubuntu3) kinetic; urgency=medium

  * Add the dh-sequence-kf5 build depend so that the addon actually gets
    invoked.

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Oct 2022 09:40:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  breeze-dev,
  cmake (>= 3.15),
  debhelper-compat (= 13),
+ dh-sequence-kf5,
  extra-cmake-modules,
  kirigami2-dev,
  libavcodec-dev,

## haruna 0.10.2

=== debian/changelog ===
haruna (0.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Jan 2023 21:01:32 -0500

haruna (0.9.3-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Nov 2022 13:12:38 -0500

haruna (0.9.3-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Oct 2022 14:28:45 -0400

haruna (0.9.2-1~exp1) experimental; urgency=medium

  * New upstream releases.
  * Merge changes from Ubuntu:

  [ Rik Mills ]
  * Add dh-sequence-kf5 to build-dependency list.
  * Add pkg-kde-tools into build-dependency list.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Oct 2022 16:54:45 -0400

## haruna 0.10.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 cmake_minimum_required(VERSION 3.15)
 
 cmake_policy(SET CMP0048 NEW)
-project(haruna VERSION 0.8.0 LANGUAGES CXX)
+project(haruna VERSION 0.10.3 LANGUAGES CXX)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
@@ -16,37 +16,58 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM 5.66 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
+include(FeatureSummary)
 include(KDEInstallDirs)
 include(ECMInstallIcons)
 include(ECMAddAppIcon)
-include(ECMSetupVersion)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
-include(FeatureSummary)
 
-kde_enable_exceptions()
+include(KDEClangFormat)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
+include(KDEGitCommitHooks)
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
+include(ECMSetupVersion)
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX HARUNA
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/haruna-version.h"
 )
 
-find_package(Qt5Core)
-set_package_properties(Qt5Core PROPERTIES TYPE REQUIRED)
+set(X11_PLATFORMS Linux FreeBSD GNU/kFreeBSD NetBSD OpenBSD)
 
-find_package(Qt5DBus)
-set_package_properties(Qt5DBus PROPERTIES TYPE REQUIRED)
+find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core Gui Qml Quick QuickControls2)
 
-find_package(Qt5Qml)
-set_package_properties(Qt5Qml PROPERTIES TYPE REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}Core)
+set_package_properties(Qt${QT_MAJOR_VERSION}Core PROPERTIES TYPE REQUIRED)
 
-find_package(Qt5Quick)
-set_package_properties(Qt5Quick PROPERTIES TYPE REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}Gui)
+set_package_properties(Qt${QT_MAJOR_VERSION}Gui PROPERTIES TYPE REQUIRED)
 
-find_package(Qt5QuickControls2)
-set_package_properties(Qt5QuickControls2 PROPERTIES TYPE REQUIRED)
+find_package(Qt${QT_MAJOR_VERSION}Qml)
+set_package_properties(Qt${QT_MAJOR_VERSION}Qml PROPERTIES TYPE REQUIRED)
+
+find_package(Qt${QT_MAJOR_VERSION}Quick)
+set_package_properties(Qt${QT_MAJOR_VERSION}Quick PROPERTIES TYPE REQUIRED)
+
+find_package(Qt${QT_MAJOR_VERSION}QuickControls2)
+set_package_properties(Qt${QT_MAJOR_VERSION}QuickControls2 PROPERTIES TYPE REQUIRED)
+
+if (CMAKE_SYSTEM_NAME IN_LIST X11_PLATFORMS)
+    find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS DBus X11Extras)
+
+    find_package(Qt${QT_MAJOR_VERSION}DBus)
+    set_package_properties(Qt${QT_MAJOR_VERSION}DBus PROPERTIES TYPE REQUIRED)
+
+    if (QT_MAJOR_VERSION STREQUAL "5")
+        find_package(Qt5X11Extras)
+        set_package_properties(Qt5X11Extras PROPERTIES TYPE REQUIRED)
+    endif ()
+endif ()
 
 find_package(Libmpv)
 set_package_properties(Libmpv PROPERTIES TYPE REQUIRED
@@ -95,10 +116,6 @@
 set_package_properties(KF5ConfigWidgets PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kconfigwidgets/html/index.html")
 
-find_package(KF5XmlGui)
-set_package_properties(KF5XmlGui PROPERTIES TYPE REQUIRED
-    URL "https://api.kde.org/frameworks/kxmlgui/html/index.html")
-
 find_package(YouTubeDl)
 set_package_properties(YouTubeDl PROPERTIES TYPE RUNTIME)
 
@@ -107,6 +124,8 @@
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
+ki18n_install(po)
+
 add_subdirectory(data)
 add_subdirectory(src)
 add_subdirectory(doc)

=== src/CMakeLists.txt ===
#
# SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

# DATA_ICONS is defined in data/CMakeLists.txt
ecm_add_app_icon(ICONS_SRCS ICONS ${DATA_ICONS})

add_executable(haruna)

target_sources(haruna
    PRIVATE
    application.h application.cpp
    framedecoder.h framedecoder.cpp
    global.h global.cpp
    main.cpp
    models/actionsmodel.h models/actionsmodel.cpp
    models/customcommandsmodel.h models/customcommandsmodel.cpp
    models/recentfilesmodel.h models/recentfilesmodel.cpp
    models/subtitlesfoldersmodel.h models/subtitlesfoldersmodel.cpp
    models/tracksmodel.h models/tracksmodel.cpp
    models/playlistmodel.h models/playlistmodel.cpp
    mpv/mpvcore.h mpv/mpvcore.cpp
    mpv/mpvitem.h mpv/mpvitem.cpp
    mpv/mpvrenderer.h mpv/mpvrenderer.cpp
    playlistitem.h playlistitem.cpp
    thumbnailimageprovider.h thumbnailimageprovider.cpp
    track.h track.cpp
    worker.h worker.cpp
    qml.qrc
    ../help/help.qrc
    ${ICONS_SRCS}
)

if (CMAKE_SYSTEM_NAME IN_LIST X11_PLATFORMS)
    if (QT_MAJOR_VERSION STREQUAL "5")
        qt5_add_dbus_interface(haruna_screensaver_inhibit_SRCS ../org.freedesktop.ScreenSaver.xml screensaverdbusinterface)
    else()
        qt_add_dbus_interface(haruna_screensaver_inhibit_SRCS ../org.freedesktop.ScreenSaver.xml screensaverdbusinterface)
    endif()
    target_sources(haruna
        PRIVATE
        lockmanager.h lockmanager.cpp
        mpris2/mediaplayer2.h mpris2/mediaplayer2.cpp
        mpris2/mediaplayer2player.h mpris2/mediaplayer2player.cpp
        ${haruna_screensaver_inhibit_SRCS}
    )
    target_include_directories(haruna PRIVATE mpris2)
endif()

kconfig_add_kcfg_files(haruna GENERATE_MOC settings/audiosettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/generalsettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/mousesettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playbacksettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playlistsettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/subtitlessettings.kcfgc)
kconfig_add_kcfg_files(haruna GENERATE_MOC settings/videosettings.kcfgc)

target_include_directories(haruna PRIVATE models mpv ${FFMPEG_INCLUDE_DIRS} ${Qt5Gui_PRIVATE_INCLUDE_DIRS})

target_compile_definitions(haruna PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

target_link_libraries(haruna PRIVATE
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Gui
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::QuickControls2

    KF5::ConfigCore
    KF5::ConfigGui
    KF5::CoreAddons
    KF5::DocTools
    KF5::FileMetaData
    KF5::I18n
    KF5::IconThemes
    KF5::KIOWidgets
    KF5::Kirigami2
    KF5::ConfigWidgets

    Libmpv::Libmpv
    ${AVUTIL_LIBRARIES}
    ${AVFILTER_LIBRARIES}
    ${AVFORMAT_LIBRARIES}
    ${AVCODEC_LIBRARIES}
    ${SWSCALE_LIBRARIES}
)

if (CMAKE_SYSTEM_NAME IN_LIST X11_PLATFORMS)
    target_link_libraries(haruna PRIVATE
        Qt${QT_MAJOR_VERSION}::DBus
    )
    if (QT_MAJOR_VERSION STREQUAL "5")
        target_link_libraries(haruna PRIVATE
            Qt5::X11Extras
        )
    endif ()
endif ()
install(TARGETS haruna DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
haruna (0.10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Jan 2023 20:45:55 -0500

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  qtdeclarative5-dev,
  qtquickcontrols2-5-dev,
  yt-dlp | youtube-dl,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna
 Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git

## haruna 0.11.0

=== debian/changelog ===
haruna (0.11.0-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 17:17:59 +0300

haruna (0.11.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (0.11.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 May 2023 12:18:31 +0100

## haruna 0.11.1

=== debian/changelog ===
haruna (0.11.1-1build1) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 21 Jun 2023 11:54:43 +0300

haruna (0.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 11:17:03 -0400

## haruna 0.11.3

=== debian/changelog ===
haruna (0.11.3-1build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 22:22:10 +0200

haruna (0.11.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Jul 2023 07:54:28 -0400

## haruna 0.12.0

=== debian/changelog ===
haruna (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Aug 2023 15:09:06 -0400

## haruna 0.12.1

=== debian/changelog ===
haruna (0.12.1-1) unstable; urgency=medium

  * New upstream bugfix release (0.12.1)

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Sep 2023 11:00:26 -0400

## haruna 0.12.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,15 +14,21 @@
     application.h application.cpp
     framedecoder.h framedecoder.cpp
     global.h global.cpp
+    KDSingleApplication/kdsingleapplication_localsocket_p.h KDSingleApplication/kdsingleapplication_localsocket.cpp
+    KDSingleApplication/kdsingleapplication.h KDSingleApplication/kdsingleapplication.cpp
     main.cpp
     models/actionsmodel.h models/actionsmodel.cpp
+    models/chaptersmodel.h models/chaptersmodel.cpp
     models/customcommandsmodel.h models/customcommandsmodel.cpp
     models/recentfilesmodel.h models/recentfilesmodel.cpp
     models/subtitlesfoldersmodel.h models/subtitlesfoldersmodel.cpp
     models/tracksmodel.h models/tracksmodel.cpp
     models/playlistmodel.h models/playlistmodel.cpp
-    mpv/mpvcore.h mpv/mpvcore.cpp
+    mpv/mpvabstractitem.h mpv/mpvabstractitem.cpp
+    mpv/mpvcontroller.h mpv/mpvcontroller.cpp
     mpv/mpvitem.h mpv/mpvitem.cpp
+    mpv/mpvpreview.h mpv/mpvpreview.cpp
+    mpv/mpvproperties.h
     mpv/mpvrenderer.h mpv/mpvrenderer.cpp
     playlistitem.h playlistitem.cpp
     thumbnailimageprovider.h thumbnailimageprovider.cpp
@@ -51,13 +57,21 @@
 
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/audiosettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/generalsettings.kcfgc)
+kconfig_add_kcfg_files(haruna GENERATE_MOC settings/informationsettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/mousesettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playbacksettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playlistsettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/subtitlessettings.kcfgc)
 kconfig_add_kcfg_files(haruna GENERATE_MOC settings/videosettings.kcfgc)
 
-target_include_directories(haruna PRIVATE models mpv ${FFMPEG_INCLUDE_DIRS} ${Qt5Gui_PRIVATE_INCLUDE_DIRS})
+target_include_directories(haruna
+    PRIVATE
+        KDSingleApplication
+        models
+        mpv
+        ${FFMPEG_INCLUDE_DIRS}
+        ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
+)
 
 target_compile_definitions(haruna PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)
 
@@ -68,16 +82,17 @@
     Qt${QT_MAJOR_VERSION}::Quick
     Qt${QT_MAJOR_VERSION}::QuickControls2
 
-    KF5::ConfigCore
-    KF5::ConfigGui
-    KF5::CoreAddons
-    KF5::DocTools
-    KF5::FileMetaData
-    KF5::I18n
-    KF5::IconThemes
-    KF5::KIOWidgets
-    KF5::Kirigami2
-    KF5::ConfigWidgets
+    KF${QT_MAJOR_VERSION}::ConfigCore
+    KF${QT_MAJOR_VERSION}::ConfigGui
+    KF${QT_MAJOR_VERSION}::CoreAddons
+    KF${QT_MAJOR_VERSION}::DocTools
+    KF${QT_MAJOR_VERSION}::FileMetaData
+    KF${QT_MAJOR_VERSION}::I18n
+    KF${QT_MAJOR_VERSION}::IconThemes
+    KF${QT_MAJOR_VERSION}::KIOWidgets
+    KF${QT_MAJOR_VERSION}::Kirigami2
+    KF${QT_MAJOR_VERSION}::ConfigWidgets
+    KF${QT_MAJOR_VERSION}::WindowSystem
 
     Libmpv::Libmpv
     ${AVUTIL_LIBRARIES}

=== debian/changelog ===
haruna (0.12.3-1build4) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 23:13:57 +0300

haruna (0.12.3-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:56:19 +0000

haruna (0.12.3-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:33:37 +0000

haruna (0.12.3-1build1) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 30 Dec 2023 19:56:36 +0300

haruna (0.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Nov 2023 18:57:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

export QT_SELECT := 5

%:
	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/haruna/haruna-([\d.]+)\.tar\.xz
